package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户操作日志表
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 16:58:42.720
 * @Modify      :
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_LOG_OPERATE")
@Api(value="操作日志表",description = "操作日志表")
public class SysLogOperate extends BaseBean {

    //CommonEnumUtil.SOFT_TYPE
    @Column(name="OPERATE_MODULE")
    @ApiParam(value ="系统模块（枚举）", example = "1")
    private Integer operateModule;

    //ImppEnumUtil.OPERATE_TYPE（枚举）
    @Column(name="OPERATE_TYPE")
    @ApiParam(value ="操作类型" , example = "-1")
    private Integer operateType;

    @Column(name="OPERATE_MESSAGE")
    @ApiParam(value ="操作信息" , access ="操作信息")
    private String operateMessage;
}
